%global plugin_name mapdb-api

Summary:    Provides a shared dependency on the MapDB library in Jenkins
Name:       jenkins-plugin-%{plugin_name}
Version:    1.0.9.0
Release:    10%{?dist}
License:    ASL 2.0
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Mapdb+Api+Plugin
# AltURL:   https://github.com/jenkinsci/mapdb-api-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2

%description
This plugin provides a shared dependency on the MapDB library 
so that other plugins can co-operate when using this library.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 1.0.9.0 - 1.0.9.0-10
- rebuilt

* Tue Apr 18 2017 Troy Dawson <tdawson@redhat.com> - 1.0.9.0-1
- Update to 1.0.9.0

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 1.0.1.0-1
- Initial package
